summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2011-01-24 13:36:17 +0100
committerJim Meyering <meyering@redhat.com>2011-01-24 13:36:17 +0100
commitbf4003c13d75c927f5f616b2c38eef7c3d7e28c4 (patch)
tree962466c3343d01373d92d9aa6c04fcec38ee2726 /tests
parent7e27c1ae467d2b2d611668abcd2e86f650a2d453 (diff)
downloaddiffutils-bf4003c13d75c927f5f616b2c38eef7c3d7e28c4.tar.gz
tests: fix an erroneous test
On most systems, like-named files were compared, by luck. However, on others, different-named files would be compared since their names were being treated as equal -- but they had different content, so the test would fail. * tests/colliding-file-names: Use different sets of file names in d1 and d2 so that they cannot accidentally match. Put the same line in each test file. This is required when files named e.g., abc and ABC are compared. This test was failing on a NixOS 86_64-darwin system.
Diffstat (limited to 'tests')
-rw-r--r--tests/colliding-file-names8
1 files changed, 4 insertions, 4 deletions
diff --git a/tests/colliding-file-names b/tests/colliding-file-names
index c05401a..964d026 100644
--- a/tests/colliding-file-names
+++ b/tests/colliding-file-names
@@ -6,12 +6,12 @@
mkdir d1 d2 || fail=1
-for i in abc abC aBc aBC Abc AbC ABc ABC; do
- echo $i >d1/$i || fail=1
+for i in abc abC aBc aBC; do
+ echo xyz >d1/$i || fail=1
done
-for i in ABC ABc AbC Abc aBC aBc abC abc; do
- echo $i >d2/$i || fail=1
+for i in ABC ABc AbC Abc; do
+ echo xyz >d2/$i || fail=1
done
diff -r --ignore-file-name-case d1 d2 || fail=1